documentation
Xorijiy shaharlar

Xorijiy shaharlar

GET /v1/directory/country-cities?countryId=<countryId>

Ushbu bo‘lim orqali tizimdagi xorijiy shaharlar ro‘yxati olinadi.

So‘rov yuborilganda tizim mavjud barcha xorijiy shaharlar bo‘yicha ma’lumotlarni qaytaradi. Ushbu ma’lumotlar buyurtma yaratish, manzil tanlash va logistika hisob-kitoblarida foydalaniladi.

Har bir shahar uchun uning identifikatori, nomi, tegishli davlat identifikatori va boshqa zarur kodlar qaytarilishi mumkin.

Bu endpoint faqat ma’lumot olish uchun mo‘ljallangan va tizimdagi hech qanday ma’lumotni o‘zgartirmaydi.

API Server https://apitest.bts.uz:28345/
Base Path /v1/directory/country-cities?countryId=<countryId>
Full URL
https://apitest.bts.uz:28345/v1/directory/country-cities?countryId=<countryId>
Authentication Bearer Token
Headers
Header
Value
Req.
Authorization
Bearer {access_token}
🔒
Content-Type
application/json
🔒
Accept
application/json
🔒
language
uz
🔒

REQUEST

No schema defined.

RESPONSE

HTTP 200
Response Body
{
    "status": true,
    "message": "Ma’lumot muvaffaqiyatli olindi.",
    "status_code": 200,
    "data": {
        "items": [
            {
                "id": 3627,
                "countryId": 1,
                "name": ""
            },
            {
                "id": 59,
                "countryId": 1,
                "name": "Alabama"
            },
            {
                "id": 27,
                "countryId": 1,
                "name": "American Samoa"
            },
            {
                "id": 37,
                "countryId": 1,
                "name": "Arizona"
            },
            {
                "id": 47,
                "countryId": 1,
                "name": "Arkansas"
            },
            {
                "id": 5,
                "countryId": 1,
                "name": "Baker Island"
            },
            {
                "id": 19,
                "countryId": 1,
                "name": "California"
            },
            {
                "id": 53,
                "countryId": 1,
                "name": "Colorado"
            },
            {
                "id": 38,
                "countryId": 1,
                "name": "Connecticut"
            },
            {
                "id": 3630,
                "countryId": 1,
                "name": "courcelles en bassee"
            },
            {
                "id": 3629,
                "countryId": 1,
                "name": "courcelles en bassee"
            },
            {
                "id": 2,
                "countryId": 1,
                "name": "Delaware"
            },
            {
                "id": 40,
                "countryId": 1,
                "name": "District of Columbia"
            },
            {
                "id": 3635,
                "countryId": 1,
                "name": "DUSHANBE"
            },
            {
                "id": 39,
                "countryId": 1,
                "name": "Florida"
            },
            {
                "id": 58,
                "countryId": 1,
                "name": "Georgia"
            },
            {
                "id": 15,
                "countryId": 1,
                "name": "Guam"
            },
            {
                "id": 14,
                "countryId": 1,
                "name": "Hawaii"
            },
            {
                "id": 1,
                "countryId": 1,
                "name": "Howland Island"
            },
            {
                "id": 63,
                "countryId": 1,
                "name": "Idaho"
            }
        ],
        "_links": {
            "self": "/v1/directory/country-cities/1?page=1",
            "first": "/v1/directory/country-cities/1?page=1",
            "last": "/v1/directory/country-cities/1?page=4",
            "next": "/v1/directory/country-cities/1?page=2",
            "prev": null
        },
        "_meta": {
            "totalCount": 71,
            "pageCount": 4,
            "currentPage": 1,
            "perPage": 20,
            "params": {
                "countryId": "1"
            }
        }
    }
}
No schema defined.